### Class

# WebKitWebProcessExtension ScriptWorld

unstable since: 6.0

#### Description

    final class WebKitWebProcessExtension.ScriptWorld : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 6.0

#### Ancestors

- GObject

#### Constructors

###### webkit_script_world_new

Creates a new isolated `WebKitScriptWorld`. Scripts executed in isolated worlds have access to the DOM but not to other variable or functions created by the page. The `WebKitScriptWorld` is created with a generated unique name. Use `webkit_script_world_new_with_name()` if you want to create it with a custom name. You can get the JavaScript execution context of a `WebKitScriptWorld` for a given `WebKitFrame` with webkit_frame_get_javascript_context_for_script_world().

since: 2.2

###### webkit_script_world_new_with_name

Creates a new isolated `WebKitScriptWorld` with a name. Scripts executed in isolated worlds have access to the DOM but not to other variable or functions created by the page. You can get the JavaScript execution context of a `WebKitScriptWorld` for a given `WebKitFrame` with webkit_frame_get_javascript_context_for_script_world().

since: 2.22

#### Functions

###### webkit_script_world_get_default

Get the default `WebKitScriptWorld`. This is the normal script world where all scripts are executed by default. You can get the JavaScript execution context of a `WebKitScriptWorld` for a given `WebKitFrame` with webkit_frame_get_javascript_context_for_script_world().

since: 2.2

#### Instance methods

###### webkit_script_world_get_name

Get the name of a `WebKitScriptWorld`.

since: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### WebKitWebProcessExtension.ScriptWorld::window-object-cleared

Emitted when the JavaScript window object in a `WebKitScriptWorld` has been cleared. This is the preferred place to set custom properties on the window object using the JavaScriptCore API. You can get the window object of `frame` from the JavaScript execution context of `world` that is returned by webkit_frame_get_js_context_for_script_world().

since: 2.2

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitWebProcessExtensionScriptWorldClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.